
@font-face {
    font-family: Unbounded;
    src: url("../assets/fonts/Unbounded/Unbounded-VariableFont_wght.ttf");
}

:root {
    --color-primary: #f0f0f0;
    --color-accent: var(--season);
    --color-muted: #000;
    --color-bg: #0f0f0f;
    --color-border: #dcdcdc;
    --font-body: Unbounded, sans-serif;
    --pointer: url("/user/themes/crabcore/assets/cursor/hand.gif"),
        url("/user/themes/crabcore/assets/cursor/hand.png"),
        url("/user/themes/crabcore/assets/cursor/hand.cur"),
        pointer;
}

::selection {
    background: var(--color-accent);
}

footer,#documents,.day:first-child{
    ::selection{
        background: var(--color-bg);
    }
}

* {
    box-sizing: border-box;
}

p a:hover{
    color:unset;
}

html {
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
    box-sizing: border-box;
    font-family: sans-serif;
    font-size: 10px;
}

body {
    background: var(--color-bg);
    box-sizing: border-box;
    color: var(--color-primary);
    font-family: var(--font-body);
    font-size: 1.6em;
    letter-spacing: .0625em;
    line-height: 1.8em;
    margin: 0;
}


body.locked {
    overflow-y: clip !important;
}


img {
    max-width: 100%;
    height: auto;
    vertical-align: middle;
}

picture {
    img {
        width: 100%;
    }
}

label {
    display: inline-block;
    font-weight: 700;
    margin-bottom: 5px;
    max-width: 100%;
}

b,
strong {
    font-weight: 700;
}

blockquote {
    border-left: 2px solid var(--color-border);
    font-style: italic;
    padding-left: 1.6rem;
}

button,
.button {
    border-width: 4px;
    border-style: solid;
    padding: 10px 20px;
    text-transform: uppercase;
    font-weight: bold;
    cursor: var(--pointer);
    transition: 0.31s;
    position: relative;
    white-space: nowrap;
    z-index: 1;

    &.small {
        padding: 2px 4px;
        text-transform: unset;
        font-weight: normal;
        display: inline-block;
        margin-bottom: 10px;
        font-size: 1.5rem;

        &:hover {
            text-decoration: none;
        }
    }

    &::before {
        content: "";
        position: absolute;
        inset: -4px;
        transform-origin: center;
        transform: skew(0deg, -1deg);
        z-index: -1;
        transition: 0.3s;
    }

    &:hover {
        &::before {
            transform: skew(0deg, 2deg);
        }
    }

    &.main {
        border-color: var(--color-accent);
        background: var(--color-accent);
        color: var(--color-primary);

        &::before {
            background: var(--color-accent);
        }

        &:hover {
            &::before {
                background: var(--color-primary);
            }

            border-color: var(--color-primary);
            background: var(--color-primary);
            color: var(--color-accent);
        }
    }

    &.black {
        border-color: var(--color-bg);
        background: var(--color-bg);
        color: var(--color-primary);

        &::before {
            background: var(--color-bg);
        }

        &:hover {
            &::before {
                background: var(--color-primary);
            }

            border-color: var(--color-primary);
            background: var(--color-primary);
            color: var(--season);

        }
    }

    &.white {
        border-width: 0px;
        border-color: var(--color-primary);
        background: transparent;
        color: var(--color-primary);
        z-index: 1;

        &::before {
            background: transparent;
            border: 4px solid #fff;
        }

        &:hover {
            &::before {
                background: #fff;
            }

            color: var(--color-accent);
        }
    }
}

.wrap {
    position: relative;
    height: 100%;
    width: 100%;
}

#hero {
    background-color: #888;
    box-sizing: content-box;
    height: 110vh;
    position: relative;
    overflow-x: clip;
    

    &::after {
        content: "";
        position: absolute;
        background: var(--color-bg);
        bottom: -100px;
        height: 220px;
        left: 0;
        right: 0;
        border-top-left-radius: 50%;
        border-top-right-radius: 50%;
        box-sizing: border-box;
    }

    &::before {
        content: "";
        position: absolute;
        inset: 0;
        background-image: linear-gradient(180deg, transparent, var(--color-bg)), linear-gradient(180deg, var(--season), transparent);
    }

    h2 {
        font-size: 52px;
        text-align: center;
        line-height: 1em;
    }

    .container {
        position: sticky;
        top: 460px;
    }
}

@keyframes wave {
    0% {
        transform: translateY(0px);
    }

    40% {
        transform: translateY(10px);
    }

    80% {
        transform: translateY(0px);
    }
}

#crabs {
    position: absolute;
    bottom: 50px;
    height: 100%;
    width: 100%;

    .wrap {
        position: relative;
        height: 100%;
        width: 100%;
    }

    .plan {
        position: absolute;
        will-change: transform;

        .wrap {
            bottom: -10px;
        }

        &:nth-of-type(1) {
            left: -2%;
            top: 40%;
            width: 104%;
            height: 60%;

            .wrap {
                filter: blur(2px);
                animation: wave 5s 2s infinite ease-in-out;
            }
        }

        &:nth-of-type(3) {
            left: -4%;
            top: 40%;
            width: 108%;
            height: 60%;

            .wrap {
                filter: blur(1px);
                animation: wave 5s 1s infinite ease-in-out;
            }
        }

        &:nth-of-type(5) {
            left: -6%;
            top: 40%;
            width: 112%;
            height: 60%;

            .wrap {
                animation: wave 5s infinite ease-in-out;
            }
        }
    }

    .left,
    .right {
        position: absolute;
        inset: 0;
        background-size: cover;
        background-repeat: no-repeat;
    }

    .left {
        right: 50%;
        background-position-x: right;
    }

    .right {
        left: 50%;
        background-position-x: left;
    }
}

#countdown {
    display: flex;
    max-width: 800px;
    margin: auto;
    justify-content: space-around;
    padding: 60px 0;

    div {
        display: flex;
        flex-direction: column;
        align-items: center;

        span {
            /* font-size: 40px; */
            font-size: 4rem;
            margin-bottom: 20px;
        }
    }
}

#now {
    transform-origin: center;
    transform: scale(0.8);
    opacity: 0;
    transition: 1s;

    h2 {
        text-shadow: 0px 0px 0 transparent;
        transition: 0s text-shadow;
    }

    &.visible {
        transform: scale(1);
        opacity: 1;

        h2 {
            text-shadow: 1px 1px 0 var(--season), 2px 2px 0 var(--season), 3px 3px 0 var(--color-bg), 4px 4px 0 var(--season), 5px 5px 0 var(--season), 6px 6px 0 var(--season), 7px 7px 0 var(--season);
            transition: 2s 0.5s text-shadow;
            text-align: center;
        }
    }
}

#infos {
    
    position: relative;
    overflow-x: clip;

    &::before {
        content: "";
        position: absolute;
        inset: 0;
        background-image: linear-gradient(0deg, transparent, var(--color-bg));
    }

    padding: 60px 0;
    margin-bottom: 0;
    padding-bottom: 120px;

    article {
        position: relative;
        color: var(--color-primary);
        width: 50%;
        transform-origin: bottom center;
        transform: rotateZ(2deg) translateX(-300px);
        z-index: 1;

        .wrap {
            padding: 30px 40px;
            background: var(--color-bg);
            border-radius: 10px;
            border-bottom: 10px solid #3e3e3e;
        }

        &::before {
            content: "";
            position: absolute;
            inset: -100px;
            background-size: contain;
            background-repeat: no-repeat;
            z-index: -1;
            pointer-events: none;
        }

        h2 {
            font-size: 20px;
        }

        p {
            font-size: 1.5rem;
            line-height: 2.5rem;
        }
    }

    .article-container {
        position: relative;

        &:nth-child(2n) {
            display: flex;
            flex-direction: row-reverse;

            article {
                transform: rotateZ(-2deg) translateX(300px);
            }
        }

        &:nth-child(1) article::before {
            background-image: url(/user/themes/crabcore/assets/infos/1.png);
            background-position-y: bottom;
        }

        &:nth-child(2) article::before {
            background-image: url(/user/themes/crabcore/assets/infos/2.png);
            background-position-y: 100%;
        }

        &:nth-child(3) article::before {
            background-image: url(/user/themes/crabcore/assets/infos/3.png);
            background-position-y: 50%;
            left: -200px;
        }

        &:nth-child(4) article::before {
            background-image: url(/user/themes/crabcore/assets/infos/4.png);
            background-position-y: 100%;
        }
    }
}

@keyframes slideInLeft {
    0% {
        transform: rotateZ(2deg) translateX(-300px);
    }

    20% {
        transform: rotateZ(-2deg) translateX(-240px);
    }

    40% {
        transform: rotateZ(2deg) translateX(-180px);
    }

    60% {
        transform: rotateZ(-2deg) translateX(-120px);
    }

    80% {
        transform: rotateZ(2deg) translateX(-60px);
    }

    100% {
        transform: rotateZ(-2deg) translateX(0);
    }
}

@keyframes slideInRight {
    0% {
        transform: rotateZ(-2deg) translateX(300px);
    }

    20% {
        transform: rotateZ(2deg) translateX(240px);
    }

    40% {
        transform: rotateZ(-2deg) translateX(180px);
    }

    60% {
        transform: rotateZ(2deg) translateX(120px);
    }

    80% {
        transform: rotateZ(-2deg) translateX(60px);
    }

    100% {
        transform: rotateZ(2deg) translateX(0);
    }
}

#infos .article-container article {
    animation: 1s slideInLeft linear both;
    animation-timeline: view();
    animation-range: entry 0% cover 40%;
}

#infos .article-container:nth-child(2n) article {
    animation: 1s slideInRight linear both;
    animation-timeline: view();
    animation-range: entry 0% cover 40%;
}


#partners {
    z-index: 2;
    position: relative;
    padding-top: 10px;

    >article {
        margin-bottom: -120px;
        height: 400px;
    }

    h2 {
        margin-bottom: -60px;
        margin-top: 0;
        text-align: center;
    }

    &::before {
        content: "";
        position: absolute;
        left: 0;
        right: 0;
        height: 100px;
        top: -100px;
        background-image: url('/user/themes/crabcore/assets/separatorbottom.webp');
        background-position: top;
        background-size: cover;
        background-repeat: no-repeat;
        z-index: -1;
    }

    &::after {
        content: "";
        position: absolute;
        left: 0;
        right: 0;
        height: 100px;
        bottom: -60px;
        background-image: url('/user/themes/crabcore/assets/separatortop.webp');
        background-size: contain;
        z-index: -1;
        background-repeat: repeat-x;
    }

}

#partners .wrap {
    display: flex;
    align-items: center;
    position: relative;
}

#partnerslogo {
    flex: 1;
    overflow: hidden;
    position: relative;
    z-index: 1;
}

.track {
    display: flex;
    align-items: center;
    gap: 3rem;
    width: max-content;
    animation: marquee 18s linear infinite;
    padding: 20px 0;
}

.track a {
    height: 120px;
    width: auto;
    flex-shrink: 0;
    object-fit: contain;
    cursor: var(--pointer);
    background: #fff;
    border-radius: 2px;
    padding: 10px;

    &:hover {
        transform: scale(1.1);
    }

    img {
        height: 100% !important;
        max-width: unset;
    }
}

@keyframes marquee {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-50%);
    }
}

#partnerslogo:hover .track {
    animation-play-state: paused;
}

.shell {
    position: absolute;
    width: 400px;
    height: 600px;
    flex-shrink: 0;
    pointer-events: none;
}

.shell img {
    position: absolute;
    top: 50%;
    left: 50%;
    translate: -50% -50%;
    width: 100%;
    height: auto;
    display: block;
}

.shell-back {
    z-index: 0;
}

.shell-front {
    z-index: 2;
}

.shell.left {
    margin-right: -410px;
    left: -140px;
}

.shell.right {
    margin-left: -450px;
    right: -100px;
    height: 700px;
    width: 500px;
}

#map {
    margin-bottom: 0;
    background: #0a0a0a;
    /* padding-bottom: 100px; */
    margin-bottom: -100px;
}

#leaf {
    height: 600px;
    width: 100%;
    z-index: 0;
}

.leaflet-control-container {
    position: relative;
    top: 100px;
}


h1 {
    font-size: 5.2rem;
    line-height: 5.2rem;
    margin-bottom: 40px;
    text-align: center;
}

h2 {
    font-size: 3.2rem;
}

h3 {
    font-size: 2.4rem;
    line-height: 3.2rem;
}

h6 {
    font-size: 1.4rem;
    line-height: 1.4rem;
}

p {
    margin: 1.6rem 0 2rem;
    text-align: justify;
}

a {
    color: var(--color-primary);
    font-weight: 700;
    text-decoration: none;
}

a:active,
a:focus,
a:hover {
    color: var(--color-muted);
    outline: 0;
    text-decoration: underline;
}

.page-content a {
    color: var(--color-primary);
    font-weight: 400;
    text-decoration: underline;
    text-underline-position: under;
}

.page-content a:focus,
.page-content a:hover {
    color: var(--color-muted);
}

.wrapper {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    width: 100%;
}

.container {
    width: 100%;
    position: relative;
}

section .wrap {
    margin: 0 auto;
    max-width: 100rem;
}

.container section {
    margin-bottom: 120px;
}

#content {
    flex: 1;
    position: relative;
}

body.home #content {
    padding-top: 0;
}

.centered {
    align-items: center;
    display: flex;
    height: 100%;
    justify-content: center;
}

.float-right {
    float: right;
}

.float-left {
    float: left;
}

#navigation {
    left: 0;
    position: fixed;
    width: 100vw;
    z-index: 100;
    height: 68px;
    transition: 0.3s background;
    background: var(--season);

    >.wrap {
        height: 100%;
        position: relative;

        &::after {
            content: "";
            position: absolute;
            border-left: 45vw solid transparent;
            border-right: 55vw solid transparent;
            border-top: 22px solid transparent;
            border-top-color: var(--season);
            transition: 0.3s border;
            top: 100%;
            width: 100%;
            box-sizing: border-box;
        }
    }
}

body.home #navigation {
    background: transparent;

    >.wrap::after {
        border-top-color: transparent;
    }
}

body.scrolled #navigation {
    background: var(--season);

    >.wrap::after {
        border-top-color: var(--season);
    }
}

body:not(.home) #navigation {
    transition: none;

    >.wrap::after {
        transition: none;
    }
}

#navbar-menu {
    height: 100% !important;
    max-width: 110rem;
    margin: auto;
}

.navbar-brand {
    color: var(--color-primary);
    font-size: 18px;
    line-height: 20px;
    padding: 15px;
}

.navbar-brand>img {
    max-height: 150%;
    max-width: 150%;
}

ul.navbar>div>li {
    display: flex;
    flex-direction: column;
    align-content: center;
    justify-content: center;

    &:nth-child(2) {
        margin-left: 10px;
    }

    a {
        color: var(--color-primary);
        display: block;
        font-weight: 500;
        line-height: 20px;
        padding: 15px;
        text-decoration: none;
        cursor: var(--pointer);

        span {
            white-space: nowrap;
        }
    }
}

ul.navbar {
    display: flex;
    list-style: none;
    margin: 0;
    margin-left: -15px;
    padding: 0;
    justify-content: space-between;
    height: 100%;

    &>div {
        display: flex;
        flex: 1;
        align-content: center;
        position: relative;
        width: 30%;

        &:nth-child(2) {
            justify-content: center;

            li {
                justify-content: start;
            }
        }

        &:nth-child(3) {
            justify-content: end;
        }
    }
}

ul.navbar li a:hover,
ul.navbar li a:focus {
    color: var(--color-muted);
    text-decoration: none;
}

ul.navbar li a.active {
    color: var(--color-muted);
}

ul.navbar li.active a:hover {
    color: var(--color-muted);
}

.navbar-toggle {
    background-color: transparent;
    border: 1px solid var(--color-border);
    border-radius: 4px;
    cursor: var(--pointer);
    display: none;
    float: right;
    margin: 8px 15px;
    padding: 9px 10px;
}

.navbar-toggle:focus {
    outline: 0;
}

.navbar-toggle:hover {
    background-color: var(--color-primary);

    .icon-bar {
        background-color: var(--color-bg);
    }
}

.navbar-toggle .icon-bar {
    background-color: var(--color-primary);
    border-radius: 1px;
    display: block;
    height: 2px;
    width: 22px;
}

.navbar-toggle .icon-bar+.icon-bar {
    margin-top: 4px;
}

#navbar-menu.open .navmobile {
    left: 0;
}

.navmobile {
    list-style: none;
    margin: 0;
    position: fixed;
    background: var(--season);
    z-index: 10;
    padding: 30px;
    display: flex;
    flex-direction: column;
    gap: 60px;
    transition: 0.6s;
    left: 100vw;
    width: 100vw;
    top: 0;
    height: 100vh;

    a {
        display: block;
        padding: 10px;
        cursor: var(--pointer);

        &.active {
            color: var(--color-bg);
        }
    }

    div:first-of-type {
        li {
            text-align: center;

            img {
                max-height: 160px;
            }
        }
    }

    div:nth-of-type(2) {
        li {
            margin-bottom: 30px;
            font-size: 2.5rem;
            line-height: 3rem;
        }

        ;
        flex: 1;
    }

    div:nth-of-type(3) {
        li {
            display: flex;
            justify-content: center;
        }
    }
}


#logo {
    display: inline-block;
    padding: 0 20px;
    position: absolute;
    left: 0;
    right: 0;
    top: 0px;
    z-index: 999;
    text-align: center;
    transition: 0.4s;
    pointer-events: all;

    img {
        position: relative;
        transition: 0.4s;
        width: 100%;
        max-width: 100%;
    }

    &::before {
        content: "";
        position: fixed;
        background: var(--season);
        inset: 0;
        transition: opacity 0.3s;
        opacity: 0;
        pointer-events: none;
    }
}

body.home #logo {
    left: -300px;
    right: -300px;
    top: 80px;
    pointer-events: none;

    img {
        width: 100%;
        max-width: unset;
    }

    &::before {
        opacity: 1;
        pointer-events: all;
    }
}

body.home.scrolled #logo {
    top: 0px;
    height: unset;
    left: 0;
    right: 0;
    pointer-events: all;

    img {
        max-width: 100%;
    }
}

body.home.loaded #logo::before {
    opacity: 0;
    pointer-events: none;
}


/*  PAGE PROGRAMME  */
#running {
    margin-bottom: 0;
    padding-bottom: 40px;
    padding-top: 160px;
    position: relative;

    .wrap {
        text-align: center;

        ul {
            list-style: none;
            padding: 0;
        }

        p {
            text-align: center;
        }

        .title{
            margin-bottom:80px;
            padding-bottom:50px;
            position:relative;
            &::after{
                content:"";
                position:absolute;
                bottom:0;
                height:4px;
                left:50%;
                width:200px;
                transform:translateX(-50%);
                background:var(--season);
            }
        }
    }

    &::before {
        content: "";
        position: absolute;
        left: 0;
        right: 0;
        height: 50%;
        bottom: 0;
        background-image: linear-gradient(0deg, var(--color-bg), transparent);
        z-index: 1;
        animation: 1s sepslidemask reverse linear both;
        animation-timeline: view();
        animation-range: entry 0% cover 100%;
        z-index: -1;
    }

    &::after {
        content: "";
        position: absolute;
        left: 0;
        right: 0;
        height: 100px;
        bottom: 0;
        background-color: var(--season);
        mask: url(/user/themes/crabcore/assets/separatorprogramme.webp);
        mask-position: top;
        mask-repeat: repeat-x;
        z-index: 1;
        animation: 1s sepslidemask reverse linear both;
        animation-timeline: view();
        animation-range: entry 0% cover 100%;
    }

    &.archive #crabsquare {
        display: none;
    }

    #crabsquare {
        position: fixed;
        inset: 0;
        top: 40px;
        z-index: -2;

        >div {
            position: relative;
            width: 100vw;
            height: 100vh;

            &>div {
                position: absolute;
            }

            .crabs {
                left: 0;
                height: 25vw;
                width: 100%;
                top: 0;
                display: flex;
                transform: scaleY(-1);
                display: flex;
                justify-content: space-between;

                div {
                    /* background:red; */
                    position: relative;
                    width: 30%;
                    height: 100%;
                    left: 0px;
                    background-size: contain;
                    /* background-image: url("/user/themes/crabcore/assets/hero/0.webp"); */
                    background-position: left bottom;
                    background-repeat: no-repeat;
                    animation: 2s cornerleft infinite ease alternate both;
                }

                div:nth-of-type(2) {
                    /* background-image: url("/user/themes/crabcore/assets/hero/3.webp"); */
                    animation: 1.5s 0.5s cornerright infinite ease alternate;
                }
            }
        }
    }

}

body.programme #footer-dome {
    background: var(--color-bg);
}

@keyframes cornerleft {
    0% {
        bottom: 0;
        left: 0;
    }

    50% {
        left: -5px;
    }

    100% {
        bottom: 4px;
    }
}

@keyframes cornerright {
    0% {
        bottom: 0;
        left: 0;
    }

    50% {
        left: 5px;
    }

    100% {
        bottom: 4px;
    }
}

@keyframes sepslidemask {
    0% {
        mask-position: 0% 0px;
    }

    100% {
        mask-position: -1000px 0px;
    }
}

@keyframes sepslide {
    0% {
        background-position-x: 0%;
    }

    100% {
        background-position-x: -1000px;
    }
}

#programme {
    position: relative;
    margin-bottom: 0;
    background: var(--color-bg);

    ul {
        list-style: none;
        padding: 0;

        .group {
            display: flex;
            margin-bottom: 40px;

            picture {
                flex: 1 40%;
                padding-right: 40px;
                padding-top: 30px;
            }

            >div {
                flex: 1 60%;

                p {
                    font-size: 1.5rem;
                    line-height: 1.8em;
                }

                ul {
                    display: flex;
                    gap: 10px;
                    flex-wrap: wrap;
                }
            }
        }

    }

    .day {
        margin-bottom: 0;
        padding-bottom: 100px;

        h2 {
            font-size: 2.5rem;
            position: sticky;
            top: 140px;
            display: inline-block;
            background: var(--color-bg);
            z-index: 1;
        }

        &:nth-of-type(1) {
            padding-top: 120px;
            background: var(--color-accent);



            h2 {
                background: var(--color-accent);
            }

            .button.main {
                &::before {
                    background: var(--color-bg);
                }

                &:hover {
                    &::before {
                        background: var(--color-primary);
                    }
                }
            }
        }

        &:nth-of-type(2) {
            position: relative;

            &::before {
                content: "";
                position: absolute;
                left: 0;
                right: 0;
                height: 100px;
                top: -100px;
                background-image: url('/user/themes/crabcore/assets/separatorprogramme.webp');
                background-position-y: top;
                z-index: 0;
                animation: 1s sepslide linear both;
                animation-timeline: view();
                animation-range: entry 0% cover 100%;
            }
        }
    }

    .genre {
        white-space: nowrap;
    }
}




/*    PAGE INFOS & ACCES  */
#infoandbio {
    margin-bottom: 0;

    >div {
        background-image: linear-gradient(0deg, var(--color-bg), transparent, transparent), url("/user/pages/01.home/texture.webp");
        margin-bottom: 0;
        position: relative;
        box-sizing: border-box;

        &::after {
            content: "";
            position: absolute;
            left: 0;
            right: 0;
            height: 100px;
            bottom: -100px;
            background-image: url('/user/themes/crabcore/assets/separatortop.webp');
            background-size: contain;
            z-index: 1;
            background-repeat: repeat-x;
        }

        #festival {
            padding-top: 160px;

            article {
                padding: 30px 60px;
                background: var(--color-bg);
                position: relative;
                margin: 160px 0;

                &::before,
                &::after {
                    content: "";
                    position: absolute;
                    height: 160px;
                    left: 0;
                    right: 0;
                    background-size: 100%;
                    background-repeat: no-repeat;
                }

                &::before {
                    top: -160px;
                    background-image: url("/user/themes/crabcore/assets/frame1.webp");
                    background-position-y: bottom;
                }

                &::after {
                    bottom: -160px;
                    transform: rotateZ(180deg);
                    background-image: url("/user/themes/crabcore/assets/frame2.webp");
                    background-position-y: bottom;
                }
            }
        }

        #acces {
            margin-bottom: 0;
            padding-bottom: 30px;

            .flex {
                display: flex;
                flex-wrap: wrap;
                justify-content: space-between;
                gap: 30px;

                article {
                    padding: 20px;
                }
            }
        }
    }
}



/*    PAGE PRESSE  */
body.presse #content {
    padding-bottom: 60px;


    .buttons {
        display: flex;
        justify-content: center;
        gap: 30px;
        flex-wrap: wrap;
        margin-top: 60px;
    }

    #documents {
        padding: 160px 0 80px;
        margin-bottom: 180px;
        background: var(--season);
        position: relative;












        &::after {
            content: "";
            position: absolute;
            left: 0;
            right: 0;
            height: 100px;
            bottom: -100px;
            background-color: var(--season);
            mask: url(/user/themes/crabcore/assets/separatortop.webp);
            mask-position: top;
            mask-repeat: repeat-x;
            /* mask-size: cover; */
            z-index: 1;
            mask-size: 100% 100%;
        }
    }

    #presslinks {
        .wrap {
            article {
                display: flex;
                gap: 60px;
                padding-bottom: 40px;
                margin-bottom: 60px;
                position: relative;

                &:not(:last-of-type)::after {
                    content: "";
                    position: absolute;
                    bottom: -4px;
                    height: 4px;
                    left: 30%;
                    right: 30%;
                    background: var(--season);
                }

                .picture {
                    width: 30%;
                    background-size: contain;
                    background-repeat: no-repeat;
                    background-position: center;
                    transform: scale(1);
                    transition: transform 0.5s;
                }

                &:hover {
                    .picture {
                        transform: scale(1.1);
                    }
                }

                .content {
                    flex: 1;

                    time {
                        font-size: 1.1rem;
                    }

                    h3 {
                        margin-top: 0;
                    }
                }
            }
        }
    }
}


/* ARCHIVES */
#archives {

    padding-top: 160px;
    padding-bottom: 40px;

    .wrap {
        text-align: center;
    }

    article {
        text-align: center;
        margin-bottom: 100px;

        img {
            max-height: 100vh;
            transform: scale(0.5);
            opacity: 0;
            transition: 0.5s;

            &.visible {
                transform: scale(1);
                opacity: 1;
            }

            &:hover.visible {
                transform: scale(1) rotateZ(2deg);
            }
        }


    }

}



/*                                                                                                                                                */
form {
    margin: 40px 0;
}

[type=email],
[type=text],
textarea {
    border: none;
    border-bottom: 1px solid transparent;
    outline: 0;
    padding: 10px;
    width: 100%;
}

[type=email]:focus,
[type=text]:focus,
textarea:focus {
    border: none;
    border-bottom: 1px solid var(--color-primary);
}

textarea {
    height: 200px;
    resize: vertical;
}

.notice {
    background: var(--color-bg);
    border-left: 4px solid;
    padding: 10px 20px;
}

form.done #form-done,
form.error #form-error {
    display: block;
}

/*                                                                                                                                            */
.socials {
    padding-left: 8px;
    padding-right: 8px;
    display: flex;
    flex-direction: row !important;




    a {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-content: center;
    }
}

.socials a {
    padding-left: 8px !important;
    padding-right: 8px !important;
    display: inline !important;









    &:hover i {
        filter: invert(1);
    }
}

.socials i {
    background-size: contain;
    display: block;
    height: 16px;
    width: 16px;

}

.links p {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    text-align: center;
}

/*                                                                                                                                        */
footer {
    padding: 0;
    position: relative;
    bottom: 0;
    z-index: 10;
    padding-top: 60px;
    transform: translateY(40px);
    transition: transform 1s ease-out;
    will-change: transform;
    overflow-x: clip;
    margin-top: -140px;
    

    #footer-dome {
        position: relative;
        overflow: hidden;
        height: 100px;
        top: 40px;
        background: transparent;
        z-index: -1;

        &::before {
            content: "";
            position: absolute;
            background: var(--color-accent);
            top: 0;
            height: 200px;
            left: -200px;
            right: -200px;
            border-top-left-radius: 50%;
            border-top-right-radius: 50%;
            box-sizing: border-box;
            z-index: -1;
        }
    }

    &.in-view {
        transform: translateY(0);
    }

    >div {
        background: var(--color-accent);
        padding: 0;
        max-width: unset;
        width: 100%;
        z-index: 1;
    }
}

.footer-top {
    position: absolute;
    top: 70px;
    left: 0;
    right: 0;
    height: 100px;
}

.footer-inner {
    max-width: 110rem;
    display: flex;
    flex-direction: column;
    margin: auto;
    gap: 60px;
}

#footer-crab {
    position: absolute;
    top: -30px;
    left: 0;
    width: 100%;
    height: 100px;

    img {
        position: absolute;
        bottom: 0;
        left: 0;
        height: 80px;
        width: auto;
    }
}

.footer-info {
    display: flex;
    gap: 4px;
    font-size: 1.4rem;
    justify-content: space-between;
    line-height: 2.4rem;

    p,
    address {
        margin: 0;
        font-style: normal;
        text-align: left;
    }
    address span:not(:last-of-type)::after{
        content:" - ";
    }

    a {
        color: var(--color-primary);
        font-weight: 400;
        text-decoration: none;

        &:hover {
            text-decoration: underline;
        }
    }
}

.footer-credit p {
    font-size: 1rem;
    font-weight: normal;
    text-align: center;
    margin: 0;
    margin-top: 30px;
    background: var(--color-bg);
}

.footer-form {
    h2 {
        font-size: 3.6rem;
        line-height: 1.1;
        margin-bottom: 32px;
        font-weight: 700;
        margin-top: 30px;
        text-align: center;
    }

    flex: 2;
    position: relative;
    margin-top: -30px;
}

#contact-form .form-line {
    margin-bottom: 12px;
    display: flex;
    gap: 30px;

    >* {
        width: 50%;
        flex: 1;
        display: block;
    }
}

#contact-form .form-column {
    display: flex;
    flex-direction: column;
    gap: 30px;
    justify-content: space-between;

    >* {
        flex: 0;
    }
}

#contact-form input,
#contact-form textarea,
#contact-form select {
    background: var(--color-primary);
    border: none;
    border-bottom: 1px solid transparent;
    color: var(--color-bg);
    font-family: var(--font-body);
    font-size: 1.2rem;
    letter-spacing: 0.08em;
    outline: 0;
    padding: 16px 20px;
    width: 100%;

    &::placeholder {
        color: #999;
        font-weight: 400;
        font-size: 1.2rem;
        letter-spacing: 0.12em;
        text-transform: uppercase;
    }

    &:focus {
        border-bottom: 1px solid var(--color-accent);
        outline: 0;
    }

    &::selection {
        background: var(--color-accent);
        color: var(--color-primary);
    }

}

#contact-form select {
    border-right: 20px solid var(--color-primary);
    color: #999;
    text-transform: uppercase;

    &:valid {
        color: var(--color-bg);
    }
}

#contact-form textarea {
    height: 120px;
    resize: vertical;
    min-height: 120px;
    box-sizing: border-box;
    display: block;
}

#contact-form .form-submit {
    display: flex;
    justify-content: flex-end;
}

#contact-form .notice {
    background: transparent;
    display: none;
    margin: 0;
    padding: 10px 16px;
}

#contact-form.done #form-done,
#contact-form.error #form-error {
    display: block;
}


/*   Large Screen   */
@media (min-width: 1000px) {

    #navigation {
        background-color: var(--color-bg);
    }

    .only-mobile {
        display: none;
    }

    .navmobile {
        display: none;
    }
}

/*  Mobile   */
@media screen and (max-width: 1000px) {
    #navigation {
        background: transparent !important;

        &>.wrap::after {
            display: none !important;
        }
    }

    .footer-inner {
        grid-template-columns: 1fr;
        gap: 40px;
    }

    .footer-form h2 {
        font-size: 2.8rem;
    }

    .navbar-toggle {
        display: block;
        z-index: 11;
    }

    ul.navbar {
        display: none;
        float: none;
        flex-direction: column;

        &.open {
            display: flex;
        }
    }

    ul.navbar>li>a {
        padding: 10px 20px;
    }

    .socials a {
        padding-left: 15px;
    }

    .socials i {
        height: 20px;
        width: 20px;
    }

    footer .about span,
    .sr-only {
        display: none;
    }

    footer .about * {
        display: block;
    }

    #contact-form {
        padding: 0 30px;

        .form-line {
            flex-direction: column;
            display: flex;
            gap: 10px;

            >* {
                width: 100%;
                flex: 1;
            }
        }

        .form-column {
            gap: 10px;
        }

        textarea {
            height: 200px;
        }
    }

    .footer-info {
        flex-direction: column;
        text-align: center;
    }

    .shell {
        width: 300px;
        height: 500px;
    }

    .shell.left {
        margin-right: -410px;
        left: -140px;
    }

    .shell.right {
        margin-left: -310px;
        right: -70px;
        width: 300px;
        height: 500p;
    }

    article {
        color: var(--color-primary);
        width: 100% !important;
        margin-bottom: 60px;
    }

    #hero .container {
        position: sticky;
        top: 60px;
        overflow-x: clip;
        width: 100vw;

        h1 {
            font-size: 22px;
        }
    }

    #crabs {
        /* overflow-y:auto; */

        .wrap {
            height: 200%;
            overflow-x: clip;
        }

        .plan {

            .wrap {
                bottom: 100%;
            }

            &:nth-of-type(1) {
                top: 20%;
                height: 30%;

            }

            &:nth-of-type(3) {
                top: 20%;
                height: 30%;
            }

            &:nth-of-type(5) {
                top: 20%;
                height: 30%;
            }
        }

        .left,
        .right {
            position: absolute;
            inset: 0;
            background-size: contain;
            background-repeat: no-repeat;
            background-position-y: bottom;
        }
    }

    body.home #content {
        z-index: 10;
    }

    body.home #content .container {
        background: var(--color-bg);
    }

    #running {
        & #crabsquare {
            top: -10px;

            &>div {
                .crabs {
                    width: 100%;
                    height: 50vw;

                    div {
                        width: 50%;
                    }
                }
            }
        }

        ;
        padding-bottom: 80px;
        padding-bottom: 80p;
        padding-bottom: 80;
        padding-bottom: 8;
    }

    #programme {
        >.day .wrap {
            padding: 0 30px;
        }

        & ul {
            .group {
                flex-direction: column;

                picture {
                    flex: 1 40%;
                    padding-right: 0px;
                    padding-top: 0px;
                }

                &>div {
                    ul {
                        justify-content: flex-end;
                    }
                }
            }
        }

        & .day {
            h2 {
                top: 10px;
            }
            &:nth-of-type(1) {
                padding-top: 40px;
            }
        }
    }

    h1 {
        font-size: 4rem;
        line-height: 5rem;
    }

    h2 {
        font-size: 2.5rem;
        line-height: 2.5rem;
    }

    h3 {
        font-size: 2rem;
        line-height: 2rem;
    }

    body.infos h1 {
        width: min-content;
        text-align: center;
        margin: auto;
    }

    .container section {
        margin-bottom: 80px;
    }

    .footer-form h2 {
        font-size: 2.2rem;
    }

    #infoandbio {
        &>div {
            #festival {
                padding-top: 100px;

                & article {

                    &::before,
                    &::after {
                        background-size: auto;
                    }

                    padding: 30px;
                }
            }

            #acces {

                h3 {
                    text-align: center;
                }

                .flex {
                    article {
                        margin: 0;

                        p {
                            text-align: center;
                        }
                    }

                    gap: 0;
                }

            }
        }
    }

    body.presse #content {
        #documents {
            padding: 100px 30px;
        }

        & #presslinks {
            & .wrap {
                article {
                    flex-direction: column;
                    gap: 30px;

                    .picture {
                        min-height: 240px;
                        width: unset;
                    }
                }
            }

            padding: 0 30px;
            margin-bottom: 0;
        }
    }

    #archives {
        padding: 100px 20px 40px;

        h1 {
            margin-bottom: 80px;
        }

        h2 {
            margin-bottom: 40px;
        }
    }

    #now {
        padding: 0 30px;

        #countdown {
            flex-direction: column;
            div {
                span {
                    font-size: 3rem;
            margin-bottom: 10px;
                }
            small {
                    margin-bottom: 40px;
                }
            flex-direction: column;
            }
        ;
            flex-direction: column;
        }


    }


    #infos {
        overflow-x: clip;
        .article-container{
            
            &:nth-child(1) article::before {
                background-size: 70%;
                background-position-x: center;
            }

    
            &:nth-child(4) article::before {
                background-position-y: 50%;
                transform: rotateZ(90deg);
            }
        }
    }

    #partners {
        article {
            overflow-x: hidden;
            overflow-y: hidden;
        }
    }


    .footer-info {
        address span{
            display:block;
            text-align:center;
        }
        address span:not(:last-of-type)::after{
            content:unset;
        }
    }

}